Package org.firebirdsql.jdbc

## Interface FBObjectListener.BlobListener

All Known Implementing Classes:
  `FBObjectListener.NoActionBlobListener`, `InternalTransactionCoordinator`, `InternalTransactionCoordinator.AbstractTransactionCoordinator`

Enclosing interface:
  FBObjectListener

    public static interface FBObjectListener.BlobListener

Listener for the events generated by BLOBs.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `executionCompleted​(FirebirdBlob blob)` Notify listener that execution of some BLOB operation had been completed.
`void` `executionStarted​(FirebirdBlob blob)` Notify listener that execution of some BLOB operation had been started.

### Method Detail

#### executionStarted

    void executionStarted​(FirebirdBlob blob)
                   throws java.sql.SQLException

Notify listener that execution of some BLOB operation had been started.

Parameters:
  `blob` - instance of `FirebirdBlob` that caused this event.
Throws:
  `java.sql.SQLException` - if something went wrong.

#### executionCompleted

    void executionCompleted​(FirebirdBlob blob)
                     throws java.sql.SQLException

Notify listener that execution of some BLOB operation had been completed.

Parameters:
  `blob` - instance of `FirebirdBlob` that caused this event.
Throws:
  `java.sql.SQLException` - if something went wrong.